Index: trunk/source/global/management/src/G4AllocatorPool.cc
===================================================================
--- trunk/source/global/management/src/G4AllocatorPool.cc	(revision 921)
+++ trunk/source/global/management/src/G4AllocatorPool.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AllocatorPool.cc,v 1.4 2006/06/29 19:03:57 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4DataVector.cc
===================================================================
--- trunk/source/global/management/src/G4DataVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4DataVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DataVector.cc,v 1.9 2007/11/13 17:35:06 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4ErrorPropagatorData.cc
===================================================================
--- trunk/source/global/management/src/G4ErrorPropagatorData.cc	(revision 921)
+++ trunk/source/global/management/src/G4ErrorPropagatorData.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPropagatorData.cc,v 1.3 2007/06/05 13:04:30 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/global/management/src/G4Exception.cc
===================================================================
--- trunk/source/global/management/src/G4Exception.cc	(revision 921)
+++ trunk/source/global/management/src/G4Exception.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Exception.cc,v 1.21 2007/11/13 17:35:06 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4GeometryTolerance.cc
===================================================================
--- trunk/source/global/management/src/G4GeometryTolerance.cc	(revision 921)
+++ trunk/source/global/management/src/G4GeometryTolerance.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryTolerance.cc,v 1.3 2008/02/15 07:29:51 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4GeometryTolerance
Index: trunk/source/global/management/src/G4LPhysicsFreeVector.cc
===================================================================
--- trunk/source/global/management/src/G4LPhysicsFreeVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4LPhysicsFreeVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LPhysicsFreeVector.cc,v 1.22 2008/09/22 08:26:33 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4OrderedTable.cc
===================================================================
--- trunk/source/global/management/src/G4OrderedTable.cc	(revision 921)
+++ trunk/source/global/management/src/G4OrderedTable.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OrderedTable.cc,v 1.6 2007/11/13 17:35:06 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4PhysicsFreeVector.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsFreeVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsFreeVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsFreeVector.cc,v 1.12 2008/09/22 14:49:57 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4PhysicsLinearVector.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsLinearVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsLinearVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsLinearVector.cc,v 1.14 2008/09/22 14:49:57 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4PhysicsLnVector.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsLnVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsLnVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsLnVector.cc,v 1.17 2008/09/22 14:49:57 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4PhysicsLogVector.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsLogVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsLogVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsLogVector.cc,v 1.21 2008/09/22 08:26:33 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4PhysicsOrderedFreeVector.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsOrderedFreeVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsOrderedFreeVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsOrderedFreeVector.cc,v 1.12 2008/09/22 14:49:57 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 ////////////////////////////////////////////////////////////////////////
Index: trunk/source/global/management/src/G4PhysicsTable.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsTable.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsTable.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsTable.cc,v 1.15 2007/11/13 17:35:06 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4PhysicsVector.cc
===================================================================
--- trunk/source/global/management/src/G4PhysicsVector.cc	(revision 921)
+++ trunk/source/global/management/src/G4PhysicsVector.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicsVector.cc,v 1.27 2008/10/16 12:14:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4SliceTimer.cc
===================================================================
--- trunk/source/global/management/src/G4SliceTimer.cc	(revision 921)
+++ trunk/source/global/management/src/G4SliceTimer.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SliceTimer.cc,v 1.2 2006/11/02 15:39:39 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4StateManager.cc
===================================================================
--- trunk/source/global/management/src/G4StateManager.cc	(revision 921)
+++ trunk/source/global/management/src/G4StateManager.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StateManager.cc,v 1.13 2006/11/23 00:41:56 asaim Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
@@ -132,4 +132,5 @@
 G4StateManager::RegisterDependent(G4VStateDependent* aDependent, G4bool bottom)
 {
+  printf("G4StateManager::RegisterDependent()\n");
     G4bool ack=true;
     if(!bottom)
@@ -151,4 +152,5 @@
 G4StateManager::DeregisterDependent(G4VStateDependent* aDependent)
 {
+  printf("G4StateManager::DeregisterDependent()\n");
   G4VStateDependent* tmp = 0;
   for (std::vector<G4VStateDependent*>::iterator i=theDependentsList.begin();
@@ -167,4 +169,5 @@
 G4StateManager::GetCurrentState() const
 {
+  printf("G4StateManager::GetCurrentState() = %s\n",GetStateString(theCurrentState).c_str());
    return theCurrentState;
 }
@@ -173,4 +176,5 @@
 G4StateManager::GetPreviousState() const
 {
+  printf("G4StateManager::GetPreviousState() = %s\n",GetStateString(thePreviousState).c_str());
    return thePreviousState;
 }
@@ -178,9 +182,11 @@
 G4bool
 G4StateManager::SetNewState(G4ApplicationState requestedState)
-{ return SetNewState(requestedState,0); }
+{  printf("G4StateManager::SetNewState(%s)\n",GetStateString(requestedState).c_str());
+ return SetNewState(requestedState,0); }
 
 G4bool
 G4StateManager::SetNewState(G4ApplicationState requestedState, const char* msg)
 {
+  printf("G4StateManager::SetNewState(%s , ...) vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv\n",GetStateString(requestedState).c_str());
    if(requestedState==G4State_Abort && suppressAbortion>0)
    {
@@ -193,6 +199,8 @@
    G4ApplicationState savedState = thePreviousState;
    thePreviousState = theCurrentState;
+   printf("G4StateManager::SetNewState(.. , ...) middle\n");
    while ((ack) && (i<theDependentsList.size()))
    {
+     printf("G4StateManager::SetNewState(.. , ...) while...\n");
      ack = theDependentsList[i]->Notify(requestedState);
      i++;
@@ -208,4 +216,5 @@
    { theCurrentState = requestedState; }
    msgptr = 0;
+   printf("G4StateManager::SetNewState(%s , ...) END ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n",GetStateString(requestedState).c_str());
    return ack;
 }
Index: trunk/source/global/management/src/G4Timer.cc
===================================================================
--- trunk/source/global/management/src/G4Timer.cc	(revision 921)
+++ trunk/source/global/management/src/G4Timer.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Timer.cc,v 1.15 2006/06/29 19:04:30 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4UnitsTable.cc
===================================================================
--- trunk/source/global/management/src/G4UnitsTable.cc	(revision 921)
+++ trunk/source/global/management/src/G4UnitsTable.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UnitsTable.cc,v 1.37 2008/05/06 17:17:08 maire Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/source/global/management/src/G4VExceptionHandler.cc
===================================================================
--- trunk/source/global/management/src/G4VExceptionHandler.cc	(revision 921)
+++ trunk/source/global/management/src/G4VExceptionHandler.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VExceptionHandler.cc,v 1.3 2006/06/29 19:04:35 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4VNotifier.cc
===================================================================
--- trunk/source/global/management/src/G4VNotifier.cc	(revision 921)
+++ trunk/source/global/management/src/G4VNotifier.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNotifier.cc,v 1.2 2006/06/29 19:04:37 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // G4VNotifier
Index: trunk/source/global/management/src/G4VStateDependent.cc
===================================================================
--- trunk/source/global/management/src/G4VStateDependent.cc	(revision 921)
+++ trunk/source/global/management/src/G4VStateDependent.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStateDependent.cc,v 1.5 2006/06/29 19:04:39 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4coutDestination.cc
===================================================================
--- trunk/source/global/management/src/G4coutDestination.cc	(revision 921)
+++ trunk/source/global/management/src/G4coutDestination.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4coutDestination.cc,v 1.2 2006/06/29 19:04:41 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/global/management/src/G4ios.cc
===================================================================
--- trunk/source/global/management/src/G4ios.cc	(revision 921)
+++ trunk/source/global/management/src/G4ios.cc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ios.cc,v 1.9 2006/06/29 19:04:43 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
